package com.example.copiarfichero_fx.Modelo;

import javax.swing.*;
import java.awt.*;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;

public class CopiarFichero {

    private final  FileInputStream fileInputStream;
    private final FileOutputStream fileOutputStream;



    public CopiarFichero(FileInputStream fileInputStream, FileOutputStream fileOutputStream) {
        this.fileInputStream = fileInputStream;
        this.fileOutputStream = fileOutputStream;
    }

    public void hacerCopia(JProgressBar progressBar, JLabel jLabel) throws IOException {
        jLabel.setText("");

        byte [] buf = fileInputStream.readAllBytes();

        try {
            for(int i = 0; i < buf.length; i++) {
                Thread.sleep(50);
                fileOutputStream.write(buf[i]);
                progressBar.setValue(i);
                progressBar.update(progressBar.getGraphics());
            }

        } catch (InterruptedException e) {
            e.printStackTrace();
        }

        fileOutputStream.flush();


          jLabel.setForeground(Color.BLUE);
          jLabel.setText("Copia finalizada con éxito!");
    }




}
